{% extends 'base.html' %}

{% block head %}
<title>Livre Mercado</title>
{% endblock %}

{% block body %}
<a href = "/" class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--accent" id="voltar">&lt; Voltar</a>

{% if user.name!='' %}
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text">{{ user.name }}</span>
</span>
{% else %}]
<span class="mdl-chip mdl-chip--contact" id="user">
    <img class="mdl-chip__contact" src="{{url_for('static', filename='/images/user.jpg')}}"></img>
    <span class="mdl-chip__text"><a href="/login/">Fazer login</a></span>
</span>
{% endif %}


    <h1 style="text-align: center;">Gerenciador de produtos</h1>
    {% if products|length < 1 %}
    <h4 style="text-align: center;">Não há produtos cadastradados</h4>
    {% else %}

    <div id="tabela">
        <table class="mdl-data-table mdl-js-data-table mdl-data-table mdl-shadow--2dp">
            <tr>
                <th>Nome</th>
                <th>Descrição</th>
                <th>Preço</th>
                <th>Data</th>
                <th>Vendedor</th>
            </tr>
            {% for product in products %}
                <tr>
                    <td>{{ product.name }}</td>
                    <td><span class="text">{{ product.description }}</span></td>
                    <td>{{ product.value }}</td>
                    <td>{{ product.date_created.date() }}</td>
                    <td>{{ product.creator }}</td>
                    <td>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/gerencia/delete_product/{{product.id}}">Delete</a>
                        <br>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/gerencia/update_product/{{product.id}}">Update</a>
                    </td>
                </tr>
            {% endfor %}
        </table>
    </div>

    {% endif %}

    <h1 style="text-align: center;">Gerenciador de usuarios</h1>
    {% if users|length < 1 %}
    <h4 style="text-align: center;">Não há usuarios</h4>
    {% else %}

    <div id="tabela">
        <table class="mdl-data-table mdl-js-data-table mdl-data-table mdl-shadow--2dp">
            <tr>
                <th>Nome</th>
                <th>login</th>
                <th>cliente</th>
                <th>vendedor</th>
                <th>manager</th>
            </tr>
            {% for each_user in users %}
                <tr>
                    <td>{{ each_user.name }}</td>
                    <td>{{ each_user.login }}</td>
                    <td>{{ each_user.client }}</td>
                    <td>{{ each_user.seller }}</td>
                    <td>{{ each_user.manager }}</td>
                    <td>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/gerencia/delete_user/{{each_user.login}}">Delete</a>
                        <br>
                        <a class="mdl-button mdl-js-button mdl-button--raised" href="/gerencia/update_user/{{each_user.login}}">Update</a>
                    </td>
                </tr>
            {% endfor %}
        </table>
        {% endif %}
    </div>

{% endblock %}